<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="authenticationAttemptLogsForm">
        <s:token allowMultiplePosts="true"/>
        <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
            <ui:param name="panel_id" value="criteriaDiv"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{simuView.filter.urlParameters}"/>
            <script>
                updateUrl("authenticationAttemptLogsForm:filterUrlParameters");
                jq162("#authenticationAttemptLogsForm\\:filterUrlParameters").bind('change',
                    function () {
                        updateUrl("authenticationAttemptLogsForm:filterUrlParameters");
                    });
            </script>
            <div class="row">
                <div class="col-lg-6">
                    <ui:include src="/filter/filterDate.xhtml">
                        <ui:param name="filter" value="#{simuView.authenticationAttempts.filter}"/>
                        <ui:param name="filterWidth" value="240"/>
                        <ui:param name="filterId" value="timestamp"/>
                        <ui:param name="filterName" value="Timestamp"/>
                        <ui:param name="filterForm" value="authenticationAttemptLogsForm"/>
                    </ui:include>
                </div>
                <div class="col-lg-6">
                    <ui:include src="/filter/filter.xhtml">
                        <ui:param name="filter" value="#{simuView.authenticationAttempts.filter}"/>
                        <ui:param name="filterId" value="username"/>
                        <ui:param name="filterName" value="Username"/>
                        <ui:param name="filterForm" value="authenticationAttemptLogsForm"/>
                    </ui:include>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6">
                    <ui:include src="/filter/filter.xhtml">
                        <ui:param name="filter" value="#{simuView.authenticationAttempts.filter}"/>
                        <ui:param name="filterId" value="usedBinding"/>
                        <ui:param name="filterName" value="Binding"/>
                        <ui:param name="filterForm" value="authenticationAttemptLogsForm"/>
                    </ui:include>
                </div>
                <div class="col-lg-6">
                    <ui:include src="/filter/filter.xhtml">
                        <ui:param name="filter" value="#{simuView.authenticationAttempts.filter}"/>
                        <ui:param name="filterId" value="authenticationSuccess"/>
                        <ui:param name="filterName" value="Authentication Succeed"/>
                        <ui:param name="filterForm" value="authenticationAttemptLogsForm"/>
                    </ui:include>
                </div>
            </div>

            <ui:insert name="additionalFilters"/>

            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.assets.SearchCriteria']}"/>
                <em class="pull-right">
                    <a4j:commandLink title="Refresh" actionListener="#{simuView.refresh()}" render="authenticationAttemptLogsForm">
                        <span class="gzl-icon-refresh"></span>
                    </a4j:commandLink>
                    <a4j:commandLink title="Reset Filters" actionListener="#{simuView.resetFilter()}" render="authenticationAttemptLogsForm">
                        <span class="gzl-icon-times-circle"/>
                    </a4j:commandLink>
                </em>
            </ui:define>

        </ui:decorate>

        <s:div id="resultDiv">
            #{dataTableStateHolder.setAscendingOn('date')}
            <rich:dataTable value="#{simuView.authenticationAttempts}" var="data"
                            rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                            id="resultTable"
                            render="ds" styleClass="table table-striped  table-responsive">

                <g:column sortBy="#{'timestamp'}"
                          sortOrder="descending">
                    <ui:define name="header">
                        <h:outputText value="Timestamp"/>
                    </ui:define>
                    <h:commandLink action="#{simuView.navigateToAttemptView(data)}" execute="@this">
                        <g:date date="true" time="true" value="#{data.timestamp}" tooltip="false"/>
                    </h:commandLink>
                </g:column>

                <g:column sortBy="#{'usedBinding'}">
                    <ui:define name="header">
                        <h:outputText value="Used Binding"/>
                    </ui:define>
                    <h:outputText value="#{data.usedBinding}"/>
                </g:column>

                <ui:insert name="additionalColumns"/>

                <g:column sortBy="#{'authenticationSuccess'}">
                    <ui:define name="header">
                        <h:outputText value="Authentication success"/>
                    </ui:define>
                    <h:outputText value="#{data.authenticationSuccess ? 'true' : 'false'}"/>
                </g:column>

                <g:column sortBy="#{'username'}">
                    <ui:define name="header">
                        <h:outputText value="Username"/>
                    </ui:define>
                    <h:outputText value="#{data.username}"/>
                </g:column>

                <f:facet name="footer">
                    <s:div style="text-align: center;">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="resultTable"/>
                        </ui:include>
                    </s:div>
                </f:facet>
            </rich:dataTable>
        </s:div>
    </h:form>
</ui:composition>
